Package com.dropbox.core.v2.team
Class ReportsGetDevicesBuilder
java.lang.Object
com.dropbox.core.v2.team.ReportsGetDevicesBuilder
The request builder returned by
DbxTeamTeamRequests.reportsGetDevicesBuilder().
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withEndDate(Date endDate) Set value for optional field.withStartDate(Date startDate) Set value for optional field.
-
Method Details
-
withStartDate
Set value for optional field.- Parameters:
startDate- Optional starting date (inclusive). If start_date is None or too long ago, this field will be set to 6 months ago.- Returns:
- this builder
-
withEndDate
Set value for optional field.- Parameters:
endDate- Optional ending date (exclusive).- Returns:
- this builder
-
start
Issues the request.- Throws:
DateRangeErrorExceptionDbxException
-